package com.muyu.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * @ClassName BookInfo
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/2/22/0022 20:01
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName("book_info")
public class BookInfo extends BaseEntity {

    /**
     * 编号
     */
    @Excel(name="编号", cellType = Excel.ColumnType.NUMERIC)
    @TableId(type = IdType.AUTO)
    private String id;


    /**
     * 作者
     */
    @Excel(name="作者")
    private String author;


    /**
     * 书名
     */
    @Excel(name="书名")
    private String title;

    /**
     * 书名
     */
    @Excel(name="书名")
    private String remak;


    /**
     * 类型
     */
    @Excel(name = "类型", readConverterExp = "1=名著,2=小说")
    private String type;


    /**
     * 图片上传
     */
    @Excel(name="图片上传")
    private String images;


    /**
     * 描述信息
     */
    @Excel(name="描述信息")
    private String content;

    /**
     * 上架时间
     */
    @Excel(name="上架时间")
    private String grounding;

    /**
     * 创建人
     */
    @Excel(name="创建人")
    private String createBy;

    /**
     * 创建人
     */
    @Excel(name="说明")
    private String remark;


    /**
     * 创建时间
     */
    @Excel(name="创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:dd:ss",timezone = "GMT+8")
    private Date createTime;

    /**
     * 修改时间
     */
    @Excel(name="修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:dd:ss",timezone = "GMT+8")
    private Date updateTime;

    /**
     * 修改时间
     */
    @Excel(name="修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:dd:ss",timezone = "GMT+8")
    private Date beginTime;

    /**
     * 修改时间
     */
    @Excel(name="修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:dd:ss",timezone = "GMT+8")
    private Date endTime;



}
