package com.muyu.system.mapper;

import java.util.List;
import com.muyu.system.domain.BookInfo;

/**
 * Mapper接口
 *
 * @author muyu
 * @date 2024-02-23
 */
public interface BookInfoMapper
{
    /**
     * 查询
     *
     * @param id 主键
     * @return
     */
    public BookInfo selectBookInfoById(Long id);

    /**
     * 查询列表
     *
     * @param bookInfo
     * @return 集合
     */
    public List<BookInfo> selectBookInfoList(BookInfo bookInfo);

    /**
     * 新增
     *
     * @param bookInfo
     * @return 结果
     */
    public int insertBookInfo(BookInfo bookInfo);

    /**
     * 修改
     *
     * @param bookInfo
     * @return 结果
     */
    public int updateBookInfo(BookInfo bookInfo);

    /**
     * 删除
     *
     * @param id 主键
     * @return 结果
     */
    public int deleteBookInfoById(Long id);

    /**
     * 批量删除
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBookInfoByIds(Long[] ids);
}
