package com.muyu.system.service;

import java.util.List;
import com.muyu.system.domain.BookInfo;

/**
 * bookInfoService接口
 *
 * @author muyu
 * @date 2024-02-23
 */
public interface IBookInfoService
{
    /**
     * 查询bookInfo
     *
     * @param id bookInfo主键
     * @return bookInfo
     */
    public BookInfo selectBookInfoById(Long id);

    /**
     * 查询bookInfo列表
     *
     * @param bookInfo bookInfo
     * @return bookInfo集合
     */
    public List<BookInfo> selectBookInfoList(BookInfo bookInfo);

    /**
     * 新增bookInfo
     *
     * @param bookInfo bookInfo
     * @return 结果
     */
    public int insertBookInfo(BookInfo bookInfo);

    /**
     * 修改bookInfo
     *
     * @param bookInfo bookInfo
     * @return 结果
     */
    public int updateBookInfo(BookInfo bookInfo);

    /**
     * 批量删除bookInfo
     *
     * @param ids 需要删除的bookInfo主键集合
     * @return 结果
     */
    public int deleteBookInfoByIds(Long[] ids);

    /**
     * 删除bookInfo信息
     *
     * @param id bookInfo主键
     * @return 结果
     */
    public int deleteBookInfoById(Long id);
}
